JsonNodeType
Date: 2016-12-04

com.fasterxml.jackson.databind.node

## Enum JsonNodeType

- java.lang.Object
- - java.lang.Enum<JsonNodeType>
  - - com.fasterxml.jackson.databind.node.JsonNodeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<JsonNodeType>

      public enum JsonNodeType
      extends java.lang.Enum<JsonNodeType>

  Enumeration of JSON types. Covers all JSON types defined by RFC 4627 (array, boolean, null, number, object and string) but also Jackson-specific types: binary, missing and POJO; although does not distinguish between more granular types.
  Since:
    2.2
  See Also:
    `BinaryNode`, `MissingNode`, `POJONode`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARRAY`
    `BINARY`
    `BOOLEAN`
    `MISSING`
    `NULL`
    `NUMBER`
    `OBJECT`
    `POJO`
    `STRING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JsonNodeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JsonNodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ARRAY

          public static final JsonNodeType ARRAY

    - #### BINARY

          public static final JsonNodeType BINARY

    - #### BOOLEAN

          public static final JsonNodeType BOOLEAN

    - #### MISSING

          public static final JsonNodeType MISSING

    - #### NULL

          public static final JsonNodeType NULL

    - #### NUMBER

          public static final JsonNodeType NUMBER

    - #### OBJECT

          public static final JsonNodeType OBJECT

    - #### POJO

          public static final JsonNodeType POJO

    - #### STRING

          public static final JsonNodeType STRING

  - ### Method Detail

    - #### values

          public static JsonNodeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JsonNodeType c : JsonNodeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JsonNodeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null